<ng-container *ngIf="dispatchView; else dataAwaitedBlk">
  <div fxLayout="column">
    <div class="eh-txt-bold eh-mt-24">Schedule your appointment for Advanced Testing</div>

    <mat-divider class="eh-w-100p"></mat-divider>

    <div class="eh-mt-16" fxLayout="row">
      <div fxLayout="column" fxFlex="0 0 30%" [formGroup]="searchFG">
        <mat-form-field appearance="standard" class="e-mat-form-field eh-w-180">
          <mat-label>Select a location</mat-label>
          <mat-select formControlName="location" placeholder="Select">
            <mat-option *ngFor="let location of locations" class="eh-txt-capital" [value]="location">
              {{location.name}}
            </mat-option>
          </mat-select>
        </mat-form-field>

        <mat-form-field appearance="standard" class="e-mat-form-field eh-w-180">
          <mat-label>Choose a date</mat-label>
          <input matInput formControlName="date" [min]="startDate" [max]="endDate" [matDatepicker]="datepicker">
          <mat-datepicker-toggle matSuffix [for]="datepicker"></mat-datepicker-toggle>
          <mat-datepicker #datepicker></mat-datepicker>
        </mat-form-field>

        <div class="eh-w-180">
          <button *ngIf="!loadingSlots" mat-raised-button (click)="onSearch()" [disabled]="!isSearchFGValid()"
            [ngClass]="{'e-mat-button e-mat-button--eblue400 eh-w-100p eh-mt-16': true, 'eh-csr-dsb': !isSearchFGValid()}">
            Search Availability
          </button>
          <div *ngIf="loadingSlots" class="e-spinner e-spinner--2 eh-mt-16 eh-h-36">
            <mat-spinner [diameter]="24" [strokeWidth]="2"></mat-spinner>
          </div>
        </div>
      </div>

      <div fxLayout="column" fxFlex="0 0 70%"
        class="e-card2 e-card2--bg-eblue100 eh-py-16 eh-h-400 eh-ofy-scroll eh-hide-scrollbars">
        <div *ngIf="!loadingSlots && isSearchPristine" class="e-txt e-txt--placeholder eh-txt-center">
          Search availability to load details
        </div>
        <div *ngIf="!loadingSlots && !isSearchPristine && !areSlotsAvailable"
          class="e-txt e-txt--placeholder eh-txt-center">
          Sorry, no slots are available on this day
        </div>
        <div *ngIf="!loadingSlots && !isSearchPristine && areSlotsAvailable" class="eh-txt-12 eh-txt-center">
          Your Advanced Testing appointment is with Lincia Creado. This is her calendar.
        </div>
        <div *ngIf="!loadingSlots && !isSearchPristine && areSlotsAvailable" fxLayout="row wrap" fxLayoutAlign="center"
          class="eh-mt-8">
          <div *ngFor="let item of slots" (click)="onSlotClicked(item)"
            class="e-card2 e-card2--appt2 e-card2--hover1 eh-pos-relative">
            <span class="eh-txt-center">
              {{item.sessionStart | date:'h:mm a':'+0530'}} - {{item.sessionEnd | date:'h:mm a':'+0530'}}
            </span>
            <div *ngIf="item.clicked" class="eh-pos-absolute" style="right: 1px; top: 1px">
              <mat-icon class="e-mat-icon e-mat-icon--5">check_circle</mat-icon>
            </div>
          </div>
        </div>
      </div>
    </div>

    <mat-divider class="eh-mt-24 eh-w-100p"></mat-divider>

    <div class="eh-mt-20 eh-w-100p" fxLayout="row" fxLayoutAlign="space-between start">
      <button mat-stroked-button (click)="closeSelf()">Later</button>
      <div class="eh-w-180">
        <button *ngIf="!bookingAppt" mat-flat-button (click)="onBookAppointment()" [disabled]="!selectedSlot"
          [ngClass]="{'e-mat-button e-mat-button--eblue400': true, 'eh-csr-dsb': !selectedSlot}">
          Schedule Appointment
        </button>
        <div *ngIf="bookingAppt" class="e-spinner e-spinner--2 eh-h-36">
          <mat-spinner [diameter]="24" [strokeWidth]="2"></mat-spinner>
        </div>
      </div>
    </div>
  </div>
</ng-container>

<ng-template #dataAwaitedBlk>
  <div class="e-spinner">
    <mat-spinner [diameter]="30" [strokeWidth]="3"></mat-spinner>
  </div>
</ng-template>